# Place rpm-macros into proper location.
%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; /bin/echo $d)

Name:		fdupes
Version:	2.2.1
Release:	%mkrel 1
Epoch:		1
Summary:	Identify or delete duplicate files
License:	BSD like
Group:		File tools
Url:		https://github.com/adrianlopezroche/fdupes
Source0:	https://github.com/adrianlopezroche/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	fdupes.macros
BuildRequires:  ncursesw-devel
BuildRequires:  pcre2-devel

%description
FDUPES is a program for identifying or deleting duplicate files residing within
specified directories.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install PREFIX=/usr

# rpm macros
%{__install} -Dpm 0644 %{SOURCE1}		\
	%{buildroot}%{macrosdir}/macros.%{name}

%check
./%{name} testdir
./%{name} --omitfirst testdir
./%{name} --recurse testdir
./%{name} --size testdir

%files
%doc CHANGES CONTRIBUTORS README
%{_bindir}/%{name}
%{_mandir}/man1/fdupes.1*
%{_mandir}/man7/fdupes-help.7*
%{macrosdir}/macros.fdupes


%changelog
* Thu Oct 06 2022 neoclust <neoclust> 1:2.2.1-1.mga9
+ Revision: 1895069
- New version 2.2.1

* Sat Sep 10 2022 neoclust <neoclust> 1:2.2.0-1.mga9
+ Revision: 1886606
- New version 2.2.0

* Thu Mar 24 2022 umeabot <umeabot> 1:2.1.2-2.mga9
+ Revision: 1824288
- Mageia 9 Mass Rebuild

* Mon Oct 12 2020 danf <danf> 1:2.1.2-1.mga8
+ Revision: 1634710
- new version 2.1.2

* Mon Aug 24 2020 zezinho <zezinho> 1:2.1.1-1.mga8
+ Revision: 1618505
- new version 2.1.1

* Sun Jul 12 2020 zezinho <zezinho> 1:2.1.0-1.mga8
+ Revision: 1605327
- new version 2.1.0

* Sun Feb 16 2020 umeabot <umeabot> 1:2.0.0-2.mga8
+ Revision: 1530494
- Mageia 8 Mass Rebuild

* Sat Feb 15 2020 guillomovitch <guillomovitch> 1:2.0.0-1.mga8
+ Revision: 1526877
- new version 2.0.0

* Fri Aug 30 2019 tv <tv> 1:1.6.1-4.mga8
+ Revision: 1435206
- no reason to use non standard /etc/rpm/macro.d

* Sun Sep 23 2018 umeabot <umeabot> 1:1.6.1-3.mga7
+ Revision: 1297678
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 zezinho <zezinho> 1:1.6.1-2.mga7
+ Revision: 1187628
- add man page

* Sat Aug 26 2017 solbu <solbu> 1:1.6.1-1.mga7
+ Revision: 1148240
- Add Epoch: New upstream version scheme
- Dont ship INSTALL
- New version: 1.6.1
- New upstream URL
- Drop patches, merged upstream

* Mon Feb 08 2016 umeabot <umeabot> 1.51-6.mga6
+ Revision: 950253
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 wally <wally> 1.51-5.mga5
+ Revision: 793390
- add patch from Fedora to build with %%ldflags

* Wed Oct 15 2014 umeabot <umeabot> 1.51-4.mga5
+ Revision: 746288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.51-3.mga5
+ Revision: 679113
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.51-2.mga4
+ Revision: 530431
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 zezinho <zezinho> 1.51-1.mga4
+ Revision: 457637
- new version

* Fri Jan 11 2013 umeabot <umeabot> 1.50-0.PR2.4.mga3
+ Revision: 350081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 18 2011 dmorgan <dmorgan> 1.50-0.PR2.3.mga2
+ Revision: 109484
- Add fdupes rpm macros from Opensuse

* Tue Jan 25 2011 dmorgan <dmorgan> 1.50-0.PR2.2.mga1
+ Revision: 39528
- imported package fdupes


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.50-0.PR2.2mdv2011.0
+ Revision: 618262
- the mass rebuild of 2010.0 packages

* Mon Sep 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.50-0.PR2.1mdv2010.0
+ Revision: 432988
- new version (even Debian has it already...)

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1.40-5mdv2010.0
+ Revision: 428713
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.40-4mdv2009.0
+ Revision: 245076
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.40-2mdv2008.1
+ Revision: 124930
- kill re-definition of %%buildroot on Pixel's request
- import fdupes


* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.40-2mdv2007.0
- %%mkrel

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.40-1mdk 
- first mdk release
